package domain

import "gitea.qpismont.fr/qpismont/trepa/internal/core"

type AccountService interface {
	Login(login AccountLogin) (*AccountWithToken, *core.HTTPError)
	Register(register AccountRegister) (int, *core.HTTPError)
	GetAccount(id int) (*Account, *core.HTTPError)
}
